2009-01-24 Gonzalo Paniagua Javier <gonzalo@novell.com>

	* Mono.Data.SybaseClient/SybaseConnection.cs: adapt to changes in TdsConnectionPool.

2008-09-06  Daniel Morgan <monodanmorg@yahoo.com>

	* Mono.Data.SybaseClient/SybaseClientFactory.cs:
	* Mono.Data.SybaseClient/SybaseConnectionStringBuilder.cs: add new files
	based on mono's System.Data.SqlClient implementation

	* Mono.Data.SybaseClient.dll.sources: add files
	to build: 
		Mono.Data.SybaseClient/SybaseClientFactory.cs
		Mono.Data.SybaseClient/SybaseConnectionStringBuilder.cs

	* Mono.Data.SybaseClient/SybaseDataAdapter.cs
	* Mono.Data.SybaseClient/SybaseCommand.cs
	* Mono.Data.SybaseClient/SybaseParameter.cs
	* Mono.Data.SybaseClient/SybaseType.cs
	* Mono.Data.SybaseClient/SybaseTransaction.cs
	* Mono.Data.SybaseClient/SybaseCommandBuilder.cs
	* Mono.Data.SybaseClient/SybaseDataReader.cs
	* Mono.Data.SybaseClient/SybaseParameterCollection.cs
	* Mono.Data.SybaseClient/SybaseConnection.cs: modified to
	support NET_2_0 profile based on the changes done in mono's 
	System.Data.SqlClient implementation.

	Do not forget about updating mono/data/net_2_0/machine.config 
	by adding Mono.Dataq.SybaseClient to DbProvidersFactory section.

2008-07-06  Sebastien Pouliot  <sebastien@ximian.com> 

	* Mono.Data.SybaseClient/SybaseDataReader.cs: Replace a few 
	Type.GetType by typeof
	[Found using Gendarme AvoidTypeGetTypeForConstantStringsRule]
	* Mono.Data.SybaseClient/SybaseCommand.cs: Fix unneeded assignment
	for commandText (assigned to self). Also fix another unneeded 
	assignment (already taken care by the called ctor).
	[Found using Gendarme ReviewSelfAssignmentRule]

2008-07-01  Zoltan Varga  <vargaz@gmail.com>

	* Mono.Data.SybaseClient/SybaseDataReader.cs: Fix the build after the TDS changes.
	
	* Mono.Data.SybaseClient/SybaseDataReader.cs: Fix the build after the TDS changes.

2008-06-09  Ankit Jain  <jankit@novell.com>

	* Mono.Data.SybaseClient/SybaseCommand.cs: Use Tds instead of ITds now.
	* Mono.Data.SybaseClient/SybaseConnection.cs: Likewise.

2006-12-20  Nagappan A  <anagappan@novell.com>

	* Mono.Data.SybaseClient/SybaseRowUpdatedEventArgs.cs
	(SybaseRowUpdatedEventArgs): Implemeneted constructor.
	(Command): Implemented property.

	* Mono.Data.SybaseClient/SybaseCommandBuilder.cs
	(SybaseCommandBuilder): Implemented constructor.
	(DataAdapter): Implemented property.
	(RowUpdatingHandler): Implemented private event handler method.

	* Mono.Data.SybaseClient/SybaseRowUpdatingEventArgs.cs (Command):
	Implemented property

2005-12-07  Senganal T  <tsenganal@novell.com>

	* Mono.Data.SybaseClient/SybaseConnection.cs 
		- fixed ExecuteNonQuery to return the no of rows
		affected for Insert/Update/Delete Stmts.
		Fixes bug #76280

2005-06-15  Atsushi Enomoto  <atsushi@ximian.com>

	* Mono.Data.SybaseClient.dll.sources :
	  remove duplicate MonoTODOAttribute.cs

2005-01-10  Daniel Morgan <danielmorgan@verizon.net>

	* Mono.Data.SybaseClient/SybaseConnection.cs: fix 
	for packetSize not being set.  Fixes bug 70930
	Thanks to sebastien.robitaille@croesus.com (Sebastien Robitaille)
	for reporting this bug.
	
2004-04-05  Lluis Sanchez Gual  <lluis@ximian.com>

	* Mono.Data.SybaseClient.dll.sources: Removed SybaseConnectionPool.cs.
	* Mono.Data.SybaseClient/SybaseConnection.cs: Use connection pool
	  implemented in Mono.Data.Tds.

2004-04-01  Lluis Sanchez Gual  <lluis@ximian.com>

	* Mono.Data.SybaseClient/SybaseDataReader.cs: Null values are now 
	  represented with DBNull instances. Deal with this.
	* Mono.Data.SybaseTypes/SybaseNullValueException.cs: Use a more clarifying
	  error message.

2003-12-19  Tim Coleman <tim@timcoleman.com>
	* Mono.Data.SybaseClient/SybasePermission.cs:
		Change constructor.

2003-07-17  Peter Williams  <peter@newton.cx>

	* Mono.Data.SybaseTypes/SybaseDecimal.cs: csc.exe is more
	stringent about namespaces than mcs. We need to disambiguate
	System.Math from Mono.Math here.

2003-06-11  Tim Coleman <tim@timcoleman.com>
	* SybaseConnection.cs:
		Make connection parameter parsing "more correct"
		and throw appropriate exceptions, similar to MS SqlClient
	* SybaseBinary.cs:
	* SybaseBoolean.cs:
	* SybaseByte.cs:
	* SybaseDateTime.cs:
	* SybaseDecimal.cs:
	* SybaseDouble.cs:
	* SybaseMoney.cs:
	* SybaseString.cs:
		Mass import of code from SqlClient to make this behave
		better.

2003-02-16  Daniel Morgan <danmorg@sc.rr.com>

	* SybaseConnection.cs: - parse data source for 2 possible uses:
	"Server=hostname", 
	"Server=hostname,port" and open the connection based on the
	resulting server name and port.  

2002-12-01  Tim Coleman <tim@timcoleman.com>
        * Mono.Data.SybaseClient/SybaseDataReader.cs:
                Change to reflect TdsSchemaInfo -> TdsDataColumnCollection
                shift.

2002-11-26  Tim Coleman <tim@timcoleman.com>
	* Mono.Data.SybaseClient.build:
		Copy dll into Test directory.
	* Mono.Data.SybaseClient/SybaseCommand.cs:
	* Mono.Data.SybaseClient/SybaseConnection.cs:
	* Mono.Data.SybaseClient/SybaseParameter.cs:
	* Mono.Data.SybaseClient/SybaseParameterCollection.cs:
	* Mono.Data.SybaseClient/SybaseTransaction.cs:
		Many changes around making PREPAREs work in
		Sybase as well as SQL Server.

2002-11-21  Tim Coleman <tim@timcoleman.com>
	* Mono.Data.SybaseClient.build:
	* Mono.Data.SybaseClient/SybaseCommand.cs:
	* Mono.Data.SybaseClient/SybaseConnection.cs:
	* Mono.Data.SybaseClient/SybaseConnectionPool.cs:
	* Mono.Data.SybaseClient/SybaseDataReader.cs:
	* Mono.Data.SybaseClient/SybaseException.cs:
	* Mono.Data.SybaseClient/SybaseInfoMessageEventArgs.cs:
	* Mono.Data.SybaseClient/SybaseParameter.cs:
	* Mono.Data.SybaseClient/SybaseTransaction.cs:
	* Mono.Data.SybaseTypes/SybaseDecimal.cs:
		Modify to accept new Mono.Data.Tds.Protocol
		namespace in Mono.Data.Tds assembly, replacing
		Mono.Data.TdsClient.Internal

2002-11-19  Tim Coleman <tim@timcoleman.com>
	* Mono.Data.SybaseClient/SybaseCommand.cs:
		Fix BuildExec to work.

2002-11-18  Tim Coleman <tim@timcoleman.com>
	* Mono.Data.SybaseClient/SybaseCommand.cs:
	* Mono.Data.SybaseClient/SybaseConnection.cs:
	* Mono.Data.SybaseClient/SybaseDataReader.cs:
	* Mono.Data.SybaseClient/SybaseException.cs:
	* Mono.Data.SybaseClient/SybaseParameter.cs:
	* Mono.Data.SybaseClient/SybaseParameterCollection.cs:
	* Mono.Data.SybaseClient/SybaseTransaction.cs:
	* Mono.Data.SybaseTypes/SybaseDecimal.cs:
		Various changes to overhaul Sybase provider,
		and bring it closer to being in-line with
		the SqlClient.  Can now connect to Sybase DB.

2002-11-14  Tim Coleman <tim@timcoleman.com>
	* Mono.Data.SybaseClient/SybaseDataReader.cs:
		Change SchemaTable handling

2002-11-12  Tim Coleman <tim@timcoleman.com>
	* list:
		Remove Mono.Data.TdsClient.Internal/TdsContext.cs

2002-11-09  Tim Coleman <tim@timcoleman.com>
	* list:
		Add new internal tds classes
	* Mono.Data.SybaseClient/SybaseConnectionPool.cs:
	* Mono.Data.SybaseClient/SybaseConnection.cs:
		Implement connection timeouts

2002-11-04  Tim Coleman <tim@timcoleman.com>
        * list:
                Add Mono.Data.TdsClient.Internal.TdsInternalError
                Add Mono.Data.TdsClient.Internal.TdsInternalErrorCollection
                Add Mono.Data.TdsClient.Internal.TdsInternalErrorMessageEventHandler
                Add Mono.Data.TdsClient.Internal.TdsInternalErrorMessageEventArgs
                Add Mono.Data.TdsClient.Internal.TdsInternalInfoMessageEventHandler
                Add Mono.Data.TdsClient.Internal.TdsInternalInfoMessageEventArgs
                Remove Mono.Data.TdsClient.Internal.TdsPacketErrorResult
                Remove Mono.Data.TdsClient.Internal.TdsPacketErrorResultCollection
                Remove Mono.Data.TdsClient.Internal.TdsPacketMessageResult
	* Mono.Data.SybaseClient/SybaseCommand.cs:
	* Mono.Data.SybaseClient/SybaseConnection.cs:
	* Mono.Data.SybaseClient/SybaseDataReader.cs:
	* Mono.Data.SybaseClient/SybaseException.cs:
	* Mono.Data.SybaseClient/SybaseInfoMessageEventArgs.cs:
	* Mono.Data.SybaseClient/SybaseTransaction.cs:
		Remove error checks in favour of event handlers

2002-11-04  Tim Coleman (tim@timcoleman.com)
	* list :
		Add Mono.Data.TdsClient.Internal.TdsBigDecimal

2002-11-03  Tim Coleman (tim@timcoleman.com)
	* list:
		Add Mono.Data.TdsClient.Internal.TdsColumnStatus
	* Mono.Data.SybaseClient/SybaseDataReader.cs:
		Add more schema information

2002-11-01  Tim Coleman (tim@timcoleman.com)
	* Mono.Data.SybaseClient/Locale.cs:
	* Mono.Data.SybaseClient/SybaseCommand.cs:
	* Mono.Data.SybaseClient/SybaseCommandBuilder.cs:
	* Mono.Data.SybaseClient/SybaseConnection.cs:
	* Mono.Data.SybaseClient/SybaseConnectionPool.cs:
	* Mono.Data.SybaseClient/SybaseDataAdapter.cs:
	* Mono.Data.SybaseClient/SybaseDataReader.cs:
	* Mono.Data.SybaseClient/SybaseError.cs:
	* Mono.Data.SybaseClient/SybaseErrorCollection.cs:
	* Mono.Data.SybaseClient/SybaseException.cs:
	* Mono.Data.SybaseClient/SybaseInfoMessageEventArgs.cs:
	* Mono.Data.SybaseClient/SybaseInfoMessageEventHandler.cs:
	* Mono.Data.SybaseClient/SybaseParameter.cs:
	* Mono.Data.SybaseClient/SybaseParameterCollection.cs:
	* Mono.Data.SybaseClient/SybasePermission.cs:
	* Mono.Data.SybaseClient/SybasePermissionAttribute.cs:
	* Mono.Data.SybaseClient/SybaseRowUpdatedEventArgs.cs:
	* Mono.Data.SybaseClient/SybaseRowUpdatedEventHandler.cs:
	* Mono.Data.SybaseClient/SybaseRowUpdatingEventArgs.cs:
	* Mono.Data.SybaseClient/SybaseRowUpdatingEventHandler.cs:
	* Mono.Data.SybaseClient/SybaseTransaction.cs:
	* Mono.Data.SybaseClient/SybaseType.cs:
	* Mono.Data.SybaseClient/TODOAttribute.cs:
	* Mono.Data.SybaseTypes/SybaseBinary.cs:
	* Mono.Data.SybaseTypes/SybaseBoolean.cs:
	* Mono.Data.SybaseTypes/SybaseByte.cs:
	* Mono.Data.SybaseTypes/SybaseCompareOptions.cs:
	* Mono.Data.SybaseTypes/SybaseDateTime.cs:
	* Mono.Data.SybaseTypes/SybaseDecimal.cs:
	* Mono.Data.SybaseTypes/SybaseDouble.cs:
	* Mono.Data.SybaseTypes/SybaseGuid.cs:
	* Mono.Data.SybaseTypes/SybaseInt16.cs:
	* Mono.Data.SybaseTypes/SybaseInt32.cs:
	* Mono.Data.SybaseTypes/SybaseInt64.cs:
	* Mono.Data.SybaseTypes/SybaseMoney.cs:
	* Mono.Data.SybaseTypes/SybaseNullValueException.cs:
	* Mono.Data.SybaseTypes/SybaseSingle.cs:
	* Mono.Data.SybaseTypes/SybaseString.cs:
	* Mono.Data.SybaseTypes/SybaseTruncateException.cs:
	* Mono.Data.SybaseTypes/SybaseTypeException.cs:
		New classes added to start this namespace.  These are mostly
		just copies of the SqlClient classes, with changed names and
		namespaces.
	* list:
	* makefile.gnu:
	* Mono.Data.SybaseClient.build:
		New files added to build this assembly
	* ChangeLog:
		New changelog added
